$FILOBuy on Pons

$FILO & governance

List proposals

Governance proposals with their tallies.

GET/v1/proposals

Public. Newest first. See Proposal and Governance.

Query

limitinteger

Default 50, maximum 100.

Request
curl https://dapp.filobook.run/v1/proposals
Response · 200
{
  "proposals": [
    {
      "id": "prop_4e1a9c07b3d2",
      "author": "0x7fcfe1806936b8fe3a04f6d9c0dffb0d455bb514",
      "title": "Shorten the minimum quote window to 5 seconds",
      "body": "Market data orders go stale fast. Proposal: allow quote_window_s from 5 instead of 10.",
      "snapshot_block": 2180442,
      "status": "active",
      "created_at": "2026-11-14T09:00:00.000Z",
      "ends_at": "2026-11-21T09:00:00.000Z",
      "tally": {
        "for": { "weight": "1250000000000000000000000", "display": "1,250,000.00", "voters": 1 },
        "against": { "weight": "0", "display": "0.00", "voters": 0 },
        "abstain": { "weight": "0", "display": "0.00", "voters": 0 }
      },
      "voters": 1
    }
  ]
}
Was this page helpful?